#ifndef __FRAMEMAIN_H__
#define __FRAMEMAIN_H__

#include <wx/wx.h>
#include <wx/statline.h>
#include "AScriptShell.h"

//-----------------------------------------------------------------------------
// FrameMain
//-----------------------------------------------------------------------------
class FrameMain : public wxFrame {
public:
	class Panel : public wxPanel {
	private:
		AScriptShell *_pAScriptShell;
	public:
		Panel(wxWindow *pParent, wxWindowID id);
		AScriptShell *GetAScriptShell() { return _pAScriptShell; }
	private:
		DECLARE_EVENT_TABLE()
		void OnButton_HelloWorld(wxCommandEvent &event);
	};
private:
	enum {
		ID_MENU_ShowScribble = 1000,
		ID_MENU_Config,
	};
private:
	Panel *_pPanel;
	wxString _fileNameDefault;
public:
	FrameMain(wxWindow *pParent);
	~FrameMain();
private:
	DECLARE_EVENT_TABLE()
	void OnMenuOpen(wxMenuEvent &event);
	void OnMenu_Open(wxCommandEvent &event);
	void OnMenu_Exit(wxCommandEvent &event);
	void OnMenu_ShowScribble(wxCommandEvent &event);
	void OnMenu_Config(wxCommandEvent &event);
};

#endif
